Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
sys-apps/util-linux-2.32-r3 and python-3.6
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Other Things Gentoo
View previous topic :: View next topic  
Author Message
atomsymbol
n00b
n00b


Joined: 12 Apr 2018
Posts: 3
Location: Slovakia

PostPosted: Thu Apr 12, 2018 10:41 am    Post subject: sys-apps/util-linux-2.32-r3 and python-3.6 Reply with quote

Hi. I have problems adding python3_6 to PYTHON_TARGETS in make.conf.

Code:
$ grep PYTHON /etc/portage/make.conf
PYTHON_TARGETS="pypy python2_7 python3_6"
#PYTHON_SINGLE_TARGET="python2_7"


Having this in make.conf, emerging sys-apps/util-linux fails (most likely because it is selecting PYTHON_SINGLE_TARGET=python3_5 rather than PYTHON_SINGLE_TARGET=python3_6):

Code:
$ emerge -pv util-linux

These are the packages that would be merged, in order:

!!! Problem resolving dependencies for sys-apps/util-linux

!!! The ebuild selected to satisfy "util-linux" has unmet requirements.
- sys-apps/util-linux-2.32-r3::gentoo USE="cramfs ncurses nls pam python readline static-libs suid udev unicode -build -caps -fdformat -kill (-selinux) -slang -systemd -test -tty-helpers" ABI_X86="32 (64) -x32" PYTHON_SINGLE_TARGET="python3_5 -python2_7 -python3_4 -python3_6" PYTHON_TARGETS="python2_7 python3_6 -python3_4 -python3_5"

  The following REQUIRED_USE flag constraints are unsatisfied:
    python? ( python_single_target_python3_5? ( python_targets_python3_5 ) )

  The above constraints are a subset of the following complete expression:
    python? ( exactly-one-of ( python_single_target_python2_7 python_single_target_python3_4 python_single_target_python3_5 python_single_target_python3_6 ) python_single_target_python2_7? ( python_targets_python2_7 ) python_single_target_python3_4? ( python_targets_python3_4 ) python_single_target_python3_5? ( python_targets_python3_5 ) python_single_target_python3_6? ( python_targets_python3_6 ) )


I tried to report this as a bug, but was redirected to forums: https://bugs.gentoo.org/652998

Are you able to reproduce this issue?
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 18583
Location: here

PostPosted: Thu Apr 12, 2018 12:21 pm    Post subject: Reply with quote

Code:
  The following REQUIRED_USE flag constraints are unsatisfied:
    python? ( python_single_target_python3_5? ( python_targets_python3_5 ) )

If you enable python use flag you need enable python_single_target and python_targets with same version.
In your case if you enable python_single_target_python3_5, you must also enable python_target_python3_5 (same thing for 3.6 version)

EDIT: Welcome to gentoo forum!
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
atomsymbol
n00b
n00b


Joined: 12 Apr 2018
Posts: 3
Location: Slovakia

PostPosted: Thu Apr 12, 2018 12:43 pm    Post subject: Reply with quote

fedeliallalinea wrote:
Code:
  The following REQUIRED_USE flag constraints are unsatisfied:
    python? ( python_single_target_python3_5? ( python_targets_python3_5 ) )

If you enable python use flag you need enable python_single_target and python_targets with same version.
In your case if you enable python_single_target_python3_5, you must also enable python_target_python3_5 (same thing for 3.6 version)


I think the point is that the constraint should be:

Code:
python? ( python_single_target_python3_6? ( python_targets_python3_6 ) )
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 18583
Location: here

PostPosted: Thu Apr 12, 2018 12:47 pm    Post subject: Reply with quote

atomsymbol wrote:
I think the point is that the constraint should be:

Code:
python? ( python_single_target_python3_6? ( python_targets_python3_6 ) )

Yes, but now what you have configured the PYTHON_TARGETS and PYTHON_SINGLE_TARGET variable (post emerge --info)?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
atomsymbol
n00b
n00b


Joined: 12 Apr 2018
Posts: 3
Location: Slovakia

PostPosted: Thu Apr 12, 2018 12:54 pm    Post subject: Reply with quote

fedeliallalinea wrote:
atomsymbol wrote:
I think the point is that the constraint should be:

Code:
python? ( python_single_target_python3_6? ( python_targets_python3_6 ) )

Yes, but now what you have configured the PYTHON_TARGETS and PYTHON_SINGLE_TARGET variable (post emerge --info)?


You are right, emerge --info says:

Code:
PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="pypy python2_7 python3_6"


The default is PYTHON_SINGLE_TARGET="python3_5".

I see. Thanks.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Other Things Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum